﻿@model IEnumerable<Restaurante.Models.Comida>
@{
    ViewData["Title"] = "Home Page";
}

<div id="carousel" class="carousel slide" data-bs-ride="true">
  <div class="carousel-indicators">
    <button type="button" data-bs-target="#carousel" data-bs-slide-to="0" class="active" aria-current="true" aria-label="Slide 1"></button>
    <button type="button" data-bs-target="#carousel" data-bs-slide-to="1" aria-label="Slide 2"></button>
    <button type="button" data-bs-target="#carousel" data-bs-slide-to="2" aria-label="Slide 3"></button>  
    <button type="button" data-bs-target="#carousel" data-bs-slide-to="3" aria-label="Slide 4"></button>  
  </div>
  <div class="carousel-inner">
    <div class="carousel-item active">
      <img src="/imagenes/sliders/im1.jpg" class="d-block w-100" alt="...">
    </div>
    <div class="carousel-item">
      <img src="/imagenes/sliders/im2.jpg" class="d-block w-100" alt="...">
    </div>
    <div class="carousel-item">
      <img src="/imagenes/sliders/im3.jpg" class="d-block w-100" alt="...">
    </div>
    <div class="carousel-item">
      <img src="/imagenes/sliders/im4.jpg" class="d-block w-100" alt="...">
    </div>
  </div>
  <button class="carousel-control-prev" type="button" data-bs-target="#carousel" data-bs-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="visually-hidden">Previous</span>
  </button>
  <button class="carousel-control-next" type="button" data-bs-target="#carousel" data-bs-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="visually-hidden">Next</span>
  </button>
</div>

<div class ="container">
    <div class ="row">
        <div class ="col-12 d-flex justify-content-center mt-3">
            <h2 class ="titulo">Especialidades</h2>
        </div>
        <div class ="col-12 d-flex justify-content-center">
            <div class ="titulo-divisor"></div>
        </div>
    </div> 
    <div class="row">
      @if (Model.Count()>0)
      {
        @foreach (var comida in Model.OrderBy(o => o.Id))
        {
          <div class = "col-sm-12 col-md-4">
<div class="card" style="width: 18rem;">
  <img src="/@comida.UrlImagen" class="card-img-top">
  <div class="card-body">
    <h5 class="card-title">@comida.Nombre</h5>
    <p class="card-text">@comida.Descripcion</p>
  </div>
  <ul class="list-group list-group-flush">
    <li class="list-group-item">@Html.DisplayNameFor(model => model.Precio): $@comida.Precio</li>
  </ul>
  <div class="card-body">
   <button class="boton-nice"><a asp-controller="Comida" asp-action="Details" asp-route-id="@comida.Id">Ver Detalles</a></button>
  </div>
</div>
          </div>
          
        }
      }
    </div> 
</div>